Bug 672543 - Review Request: perl-Test-DistManifest - Author test that validates a package MANIFEST
Summary: Review Request: perl-Test-DistManifest - Author test that validates a package...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 672561 729653
TreeView+ depends on / blocked
 
Reported: 2011-01-25 14:21 UTC by Petr Pisar
Modified: 2011-08-26 21:57 UTC (History)
3 users (show)

Fixed In Version: perl-Test-DistManifest-1.009-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 13:36:02 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Changes for EPEL 4/5 compatibility (7.24 KB, patch)
2011-08-10 12:31 UTC, Paul Howarth
no flags Details | Diff

Description Petr Pisar 2011-01-25 14:21:12 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Test-DistManifest/perl-Test-DistManifest.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-DistManifest/perl-Test-DistManifest-1.009-1.fc15.src.rpm
Description:
This module provides a simple method of testing that a MANIFEST matches the
distribution.

Comment 1 Marcela Mašláňová 2011-01-25 16:52:14 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -q perl-Test-DistManifest
perl-Test-DistManifest-1.009-1.fc15.noarch

rpm -q --provides perl-Test-DistManifest
perl(Test::DistManifest) = 1.009
perl-Test-DistManifest = 1.009-1.fc15
[root@arrakis ~]# rpm -q --requires perl-Test-DistManifest
perl(:MODULE_COMPAT_5.12.2)  
perl(Module::Manifest) >= 0.07
perl(Test::Builder) >= 0.72
perl(Test::More) >= 0.62
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
perl(Carp)  
perl(Cwd)  
perl(File::Find)  
perl(File::Spec)  
perl(File::Spec::Unix)  
perl(strict)  
perl(warnings)  

Please fix and file bug on rpmlint and rpmbuild ;-)
BuildArch:    perl(File::Spec)
BuildArch:    perl(File::Spec::Unix)

Comment 2 Petr Pisar 2011-01-25 18:03:10 UTC
rpmlint reported as bug #672608, rpmbuild as bug #672605.

New spec file and SRPM on the same URLs.

Comment 3 Marcela Mašláňová 2011-03-02 11:42:55 UTC
I'm sorry for such delay.

ACCEPT

Comment 4 Petr Pisar 2011-03-29 08:02:39 UTC
New Package SCM Request
=======================
Package Name: perl-Test-DistManifest
Short Description: Author test that validates a package MANIFEST
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-03-29 12:10:05 UTC
Git done (by process-git-requests).

Comment 6 Petr Pisar 2011-03-29 13:36:02 UTC
Thank you for the review and the repository.

Comment 7 Paul Howarth 2011-08-07 16:51:15 UTC
Could we have branches of this package for all currently-supported releases please (including EPEL)? If the ExtUtils::MakeMaker 6.31 requirement is patched out of Makefile.PL and the Test::More version requirement is ignored, this module works perfectly well all the way back to RHEL-3.

I would be happy to maintain the older branches if you're not interested in them.
I ask this so that I don't need to conditionalize inclusion of this package in my own packages, where I try to remain compatible with older release where possible.

Comment 8 Paul Howarth 2011-08-10 12:31:14 UTC
Created attachment 517591 [details]
Changes for EPEL 4/5 compatibility

Attached patch updates the package to be fully EPEL 4/5/6 compatible.

Comment 9 Marcela Mašláňová 2011-08-10 14:32:44 UTC
Package Change Request
======================
Package Name: perl-Test-DistManifest
New Branches: el4 el5 el6
Owners: pghmcfc
InitialCC: perl-sig

[As a commaintainer of this package I opened git request. ]

Comment 10 Paul Howarth 2011-08-10 14:35:18 UTC
Thanks Marcela. Could you also request branches for F-14 and F-15 please?

Comment 11 Marcela Mašláňová 2011-08-10 14:50:09 UTC
Package Change Request
======================
Package Name: perl-Test-DistManifest
New Branches: f14 f15
Owners: pghmcfc mmaslano psabata ppisar
InitialCC: perl-sig

[I'd like f14 and f15 with these maintainers, el5 and el6 will be just pghmcfc.]

Comment 12 Gwyn Ciesla 2011-08-10 15:05:09 UTC
Git done (by process-git-requests).

Comment 13 Paul Howarth 2011-08-10 15:11:02 UTC
I think you'll need to ask for the EPEL branches again Marcela.

Comment 14 Fedora Update System 2011-08-10 15:28:41 UTC
perl-Test-DistManifest-1.011-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-DistManifest-1.011-3.fc14

Comment 15 Fedora Update System 2011-08-10 15:28:50 UTC
perl-Test-DistManifest-1.011-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-DistManifest-1.011-3.fc15

Comment 16 Paul Howarth 2011-08-10 17:03:06 UTC
Package Change Request
======================
Package Name: perl-Test-DistManifest
New Branches: el4 el5 el6
Owners: pghmcfc
InitialCC: perl-sig

This is a resubmission of Marcela's request from Comment #9, which was missed due to the addition of Comment #11.

Comment 17 Gwyn Ciesla 2011-08-10 17:10:55 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2011-08-10 18:07:02 UTC
perl-Test-DistManifest-1.011-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-DistManifest-1.011-4.el5

Comment 19 Fedora Update System 2011-08-10 18:07:10 UTC
perl-Test-DistManifest-1.011-4.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-DistManifest-1.011-4.el4

Comment 20 Fedora Update System 2011-08-10 18:07:18 UTC
perl-Test-DistManifest-1.011-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-DistManifest-1.011-4.el6

Comment 21 Paul Howarth 2011-08-10 18:13:23 UTC
Builds are now done and submitted as updates. Buildroot overrides would now be nice so that potential reviewers of perl-Pod-Wordlist-hanekomu (Bug #729653) can do scratch builds...

perl-Test-DistManifest-1.011-3.fc14
perl-Test-DistManifest-1.011-3.fc15
perl-Test-DistManifest-1.011-4.el4
perl-Test-DistManifest-1.011-4.el5
perl-Test-DistManifest-1.011-4.el6

Comment 22 Fedora Update System 2011-08-19 21:56:59 UTC
perl-Test-DistManifest-1.011-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 23 Fedora Update System 2011-08-19 21:58:38 UTC
perl-Test-DistManifest-1.011-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 24 Fedora Update System 2011-08-26 21:54:09 UTC
perl-Test-DistManifest-1.011-4.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 25 Fedora Update System 2011-08-26 21:56:50 UTC
perl-Test-DistManifest-1.011-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 26 Fedora Update System 2011-08-26 21:57:38 UTC
perl-Test-DistManifest-1.011-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.